@echo off
if "%1" == "?" goto query
if "%1" == "" goto query
if exist %1 goto srt
canget %1
if errorlevel 4 goto nofil
goto srt
:nofil
echo                ----------------------------
echo No file found with full filename %1
echo                ----------------------------
goto end
:srt
scrub : srtbao.sbt %1 sortb1.$$$
if not "%2" == "q" sort <sortb1.$$$ >sortb2.$$$
if "%2" == "q" qsort sortb1.$$$ sortb2.$$$ /L
del sortb1.$$$
scrub : srtboa.sbt sortb2.$$$ %1
del sortb2.$$$
goto end
:query
echo   SRTBRL is a batch file that sorts a list of braille symbols
echo   by "braille sort order".  (See the comment in SRTBAO.SBT for
echo   the definition of that order.)  The symbols should be in col. 1
echo   of successive lines in an ASCII text file.
echo   The parameters to SRTBRL are:
echo     the full filename to be sorted
echo     (optional) q to use Ben Baker's "qsort" instead of the DOS sort
echo   For example: srtbrl myfile.txt q
echo   SRTBRL will replace the named file with a sorted copy; be sure you
echo     have made a separate copy if you wish to retain the original
echo     order as well as the sorted version.
:end
